import request from '@/utils/request'

// 查询心路历程列表
export function listHeartJourney(query) {
  return request({
    url: '/invest/heartJourney/list',
    method: 'get',
    params: query
  })
}

// 查询心路历程详细
export function getHeartJourney(id) {
  return request({
    url: '/invest/heartJourney/' + id,
    method: 'get'
  })
}

// 新增心路历程
export function addHeartJourney(data) {
  return request({
    url: '/invest/heartJourney',
    method: 'post',
    data
  })
}

// 修改心路历程
export function updateHeartJourney(data) {
  return request({
    url: '/invest/heartJourney',
    method: 'put',
    data
  })
}

// 删除心路历程
export function delHeartJourney(id) {
  return request({
    url: '/invest/heartJourney/' + id,
    method: 'delete'
  })
}
